<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="CustomDialogStyle" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:windowMinWidthMajor">90%</item>
        <item name="android:windowMinWidthMinor">90%</item>
    </style>

    <style name="BottomSheetDialogStyle" parent="Theme.AppCompat.Light.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:windowSoftInputMode">stateUnspecified|adjustPan</item>
        <item name="android:windowCloseOnTouchOutside">false</item>
        <item name="android:windowIsTranslucent">true</item>
    </style>

    <style name="CustomBottomSheetDialogTheme" parent="@style/Theme.MaterialComponents.Light.BottomSheetDialog">
        <!-- 关键属性：取消浮动效果 -->
        <item name="android:windowIsFloating">false</item>
        <!-- 设置导航栏颜色 -->
        <item name="android:navigationBarColor">@color/white</item>
        <!-- 指定自定义的 bottomSheetStyle -->
        <item name="bottomSheetStyle">@style/CustomBottomSheetStyle</item>
    </style>

    <style name="CustomBottomSheetStyle" parent="Widget.Design.BottomSheet.Modal">
        <!-- 设置背景透明以延伸内容 -->
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="TextViewFont_PopMedium">
        <item name="android:includeFontPadding">false</item>
        <item name="android:fontFamily">@font/poppins_medium</item>
    </style>

    <style name="TextViewFont_PopRegular">
        <item name="android:includeFontPadding">false</item>
        <item name="android:fontFamily">@font/poppins_regular</item>
    </style>

    <style name="TextViewFont_PopSemiBold">
        <item name="android:includeFontPadding">false</item>
        <item name="android:fontFamily">@font/poppins_semibold</item>
    </style>

    <style name="AdAttribution">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_gravity">left</item>
        <item name="android:textColor">#FFFFFF</item>
        <item name="android:textSize">12sp</item>
        <item name="android:text">@string/ad_attribution</item>
        <item name="android:background">#FFCC66</item>
        <item name="android:width">15dp</item>
        <item name="android:height">15dp</item>
    </style>
</resources>